Name:           netstat-monitor
Version:        1.1.1
Release:        3%{?dist}
Summary:        A command line tool to monitor network connections

License:        AGPLv3+
URL:            https://github.com/stalexan/netstat-monitor
Source0:        https://www.alexan.org/netstat-monitor/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-netaddr

Requires:       python3-netaddr

%description
Netstat-monitor is a command line tool for monitoring network connections.
Its output is similar to the output from the netstat command with the options
"netstat --inet -alp". Netstat-monitor can be left running, though, and will
report new connections as they are made. Also, filters can be used to limit
what's displayed to just what's unexpected or interesting.

%prep
%setup -q
sed -i -e '/^#!\//, 1d' netstat.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}/usr/sample-filters \
    %{buildroot}%{_datadir}/%{name}/sample-filters

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{python3_sitelib}/
%{_datadir}/%{name}/sample-filters

%changelog
* Mon Sep 22 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-3
- Fix changelog entries
- Remove loop

* Wed Apr 23 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-2
- Add requirements

* Wed Feb 26 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1
- Initial package for Fedora
